# Blender JBeam Editor
This Blender plugin allows you to import existing JBeam parts or whole vehicles, modify them with Blender's advanced modelling tools, and export them!

**This plugin is only compatible with Blender 4.0.x! This plugin will not work on older versions. You can get the latest version of Blender [here](https://www.blender.org/download/).**

![](blender.png)

## Current Features
* Import JBeam files
* Import Full Vehicle (.pc file)
* Create JBeam from scratch (on hold)
* Move/rename/add/delete nodes
* Add/delete beams, triangles, and quads
* Undo/redo changes
* Live updates reflected in Blender text editor
* Export changes directly to disk

## User Documentation (everybody should read this!)
Find more information about installing and using this plugin [here](docs/user/user_docs.md) or [online version here](https://github.com/BeamNG/Blender-JBeam-Editor/blob/main/docs/user/user_docs.md).

<br>

## Developer Documentation (for plugin developers only!)
Find more information about developing this plugin [here](docs/dev/dev_docs.md) or [online version here](https://github.com/BeamNG/Blender-JBeam-Editor/blob/main/docs/dev/dev_docs.md).

<br>

## Credits
* [AgentY](https://www.beamng.com/members/agent_y.390433/) for allowing me to use his "Toy Building Block Car" mod for testing: https://www.beamng.com/resources/toy-building-block-car.26315/
* Beta Testers for testing out the plugin (shoutout to [SaiMonicL](https://www.beamng.com/members/saimonicl.449776/)!)